Package org.wso2.carbon.logging.appender.http.utils.queue.exception

## Enum PersistentQueueException.PersistentQueueErrorTypes

- java.lang.Object
- - java.lang.Enum<PersistentQueueException.PersistentQueueErrorTypes>
  - - org.wso2.carbon.logging.appender.http.utils.queue.exception.PersistentQueueException.PersistentQueueErrorTypes

- All Implemented Interfaces:
    `Serializable`, `Comparable<PersistentQueueException.PersistentQueueErrorTypes>`
  Enclosing class:
    PersistentQueueException

      public static enum PersistentQueueException.PersistentQueueErrorTypes
      extends Enum<PersistentQueueException.PersistentQueueErrorTypes>

  Enum for PersistentQueueErrorTypes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EMPTY_OBJECT` |
    `QUEUE_BLOCK_CLOSE_FAILED` |
    `QUEUE_BLOCK_CREATION_FAILED` |
    `QUEUE_BLOCK_DELETION_FAILED` |
    `QUEUE_BLOCK_FILE_NOT_FOUND` |
    `QUEUE_CLOSE_FAILED` |
    `QUEUE_DIRECTORY_CREATION_FAILED` |
    `QUEUE_DISK_SPACE_LIMIT_EXCEEDED` |
    `QUEUE_DISK_USAGE_CALCULATION_FAILED` |
    `QUEUE_META_DATA_FILE_CREATION_FAILED` |
    `QUEUE_META_DATA_FILE_READING_FAILED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PersistentQueueException.PersistentQueueErrorTypes` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static PersistentQueueException.PersistentQueueErrorTypes[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QUEUE_DIRECTORY_CREATION_FAILED

          public static final PersistentQueueException.PersistentQueueErrorTypes QUEUE_DIRECTORY_CREATION_FAILED

    - #### QUEUE_DISK_SPACE_LIMIT_EXCEEDED

          public static final PersistentQueueException.PersistentQueueErrorTypes QUEUE_DISK_SPACE_LIMIT_EXCEEDED

    - #### QUEUE_META_DATA_FILE_CREATION_FAILED

          public static final PersistentQueueException.PersistentQueueErrorTypes QUEUE_META_DATA_FILE_CREATION_FAILED

    - #### QUEUE_DISK_USAGE_CALCULATION_FAILED

          public static final PersistentQueueException.PersistentQueueErrorTypes QUEUE_DISK_USAGE_CALCULATION_FAILED

    - #### QUEUE_CLOSE_FAILED

          public static final PersistentQueueException.PersistentQueueErrorTypes QUEUE_CLOSE_FAILED

    - #### QUEUE_BLOCK_CLOSE_FAILED

          public static final PersistentQueueException.PersistentQueueErrorTypes QUEUE_BLOCK_CLOSE_FAILED

    - #### QUEUE_BLOCK_CREATION_FAILED

          public static final PersistentQueueException.PersistentQueueErrorTypes QUEUE_BLOCK_CREATION_FAILED

    - #### QUEUE_BLOCK_FILE_NOT_FOUND

          public static final PersistentQueueException.PersistentQueueErrorTypes QUEUE_BLOCK_FILE_NOT_FOUND

    - #### QUEUE_BLOCK_DELETION_FAILED

          public static final PersistentQueueException.PersistentQueueErrorTypes QUEUE_BLOCK_DELETION_FAILED

    - #### EMPTY_OBJECT

          public static final PersistentQueueException.PersistentQueueErrorTypes EMPTY_OBJECT

    - #### QUEUE_META_DATA_FILE_READING_FAILED

          public static final PersistentQueueException.PersistentQueueErrorTypes QUEUE_META_DATA_FILE_READING_FAILED

  - ### Method Detail

    - #### values

          public static PersistentQueueException.PersistentQueueErrorTypes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PersistentQueueException.PersistentQueueErrorTypes c : PersistentQueueException.PersistentQueueErrorTypes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PersistentQueueException.PersistentQueueErrorTypes valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null